Обновление версии дистрибутива

Материал из ISPWiki

Перейти к: навигация, поиск

Чтобы сменить версию дистрибутива BILLmanager, необходимо выполнить ряд простых действий:

  • Узнать текущую версию сборки '/usr/local/ispmgr/bin/billmgr -v', узнать вашу архитектуру и ОС 'uname -a';
  • Скачать нужный дистрибутив с сайта http://download.ispsystem.com той же версии сборки, что установлена на текущий момент (например: http://download.ispsystem.com/Ubuntu-10/x86_64/BILLmanager-Corporate/install.4.0.65.5.tgz);
  • Архив распаковать в папке /usr/local/ispmgr/;
  • Удалить xml файл, описывающий главную страницу, на стороне клиента (rm /usr/local/ispmgr/etc/billmgr_dashboard_5.xml | rm /usr/local/ispmgr/var/userconf/billmgr.*.dashboard.xml)
  • Перезапустить BILLmanager 'killall billmgr';

Рассмотрим пример обновление дистрибутива с версии Advanced 4.0.63.4 до версии Corparate 4.0.63.4

cd /usr/local/ispmgr/
wget http://download.ispsystem.com/Ubuntu-10/x86_64/BILLmanager-Corporate/install.4.0.63.4.tgz
tar -xf install.4.0.63.4.tgz
rm /usr/local/ispmgr/etc/billmgr_dashboard_5.xml | rm  /usr/local/ispmgr/var/userconf/billmgr.*.dashboard.xml
killall billmgr

При обновлении у Вас могут возникнуть проблемы. Если у Вас не обновляется BILLmanager смотрите лог /usr/local/ispmgr/var/billmgr.log/.

Если в логе есть ошибка такого вида:

ERROR Can't open module '/usr/local/ispmgr/lib/svrsurvey.so' (/usr/local/ispmgr/lib/svrsurvey.so: undefined symbol:_ZN10UserNotifyC1ERKSsS1_S1_S1_S1_b)

Для устранения этой ошибки, вы можете удалить эту либу, либо убрать из файла billmgr.conf строку Option svrsurvey

Была ли эта информация полезной? Да | Нет
Личные инструменты